Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		libgphoto2
Summary:        %{name} is a user space library which provides applications with camera independent access to digital cameras.
Version:	2.4.9.1
Release:	1
BuildArch:	i686
License:	GNU/GPL 
URL:		http://www.gphoto.org/
Group:		System/Hardware
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre):	/bin/sed

BuildRequires: libgd-devel
BuildRequires: fontconfig-devel
BuildRequires: libpng-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: glibc-devel
BuildRequires: hal-devel
BuildRequires: libexif-devel >= 0.6.19
BuildRequires: libjpeg-devel
BuildRequires: libtool-devel
BuildRequires: libusb-devel
BuildRequires: libusb1-devel libsmbios-devel

%description
%{name} is a user space library which provides applications with camera independent access to digital cameras. 
It contains more than 30 drivers to complement the drivers in your operating system kernel.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig
/usr/lib/libgphoto2/print-camera-list udev-rules version 0.98 mode 0660 group users | /bin/sed -e 's/SUBSYSTEM/#SUBSYSTEM/g' > /etc/udev/rules.d/99-libgphoto2.rules

%postun
ldconfig
rm -rf /etc/udev/rules.d/99-libgphoto2.rules

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --with-drivers=all --disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/udev/
mv $RPM_BUILD_ROOT%_libdir/udev/check-ptp-camera $RPM_BUILD_ROOT/lib/udev/check-ptp-camera
mv $RPM_BUILD_ROOT%_libdir/udev/check-mtp-device $RPM_BUILD_ROOT/lib/udev/check-mtp-device

%files
%defattr(-,root,root)
/lib/udev/check-mtp-device
/lib/udev/check-ptp-camera
%{_libdir}/libgphoto2/%{version}/*.so
%{_libdir}/libgphoto2_port
%{_libdir}/libgphoto2_port.so.*
%{_libdir}/libgphoto2/print-camera-list
%{_libdir}/libgphoto2.so.*
%{_datadir}/libgphoto2/%{version}
%{_locale}/*/LC_MESSAGES/libgphoto2_port-0.mo
%{_locale}/*/LC_MESSAGES/libgphoto2-2.mo

%files devel
%defattr(-,root,root)
%{_bindir}/gphoto2-config
%{_bindir}/gphoto2-port-config
%{_includedir}/gphoto2
%{_libdir}/libgphoto2/%{version}/*.la
%{_libdir}/libgphoto2.la
%{_libdir}/libgphoto2_port.la
%{_libdir}/libgphoto2_port.so
%{_libdir}/libgphoto2.so
%{_pkgconfig}/libgphoto2.pc
%{_pkgconfig}/libgphoto2_port.pc
%{_docdir}/libgphoto2
%{_docdir}/libgphoto2_port
%{_mandir}/man3/libgphoto2.3.gz
%{_mandir}/man3/libgphoto2_port.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.9.1-1
- version update
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.7-1
- Version update
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.6-2
- rebuilt against libjpeg 7
* Thu Jun 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.6-1
- Version update
* Thu Jan 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.4-1
- Version update
* Wed Jul 16 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.2-1
- Version update
* Tue Apr 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-2
- added automatic generation of udev rulefile
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-1
- Version update
* Fri Mar 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version update
* Wed Oct 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-3
- added patch for dbus disconnect -> close rename
* Tue Sep 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-2
- rebuilt against dbus 0.93
* Tue Sep 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Version update
- refined filelist
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.6-2
- Moved more files to devel package, removed wrong obsoletes tag, altered Distri Tag
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.1.6-1
- Version Update to 2.1.6
* Sun Feb 20 2005 Christian Wasem <wasem@ccux-linux.de> - 2.1.5-1
- Initial Release
